from django.db import models
from django.contrib.postgres.fields import HStoreField
from django.contrib.gis.db import models

# TODO check this
# Field.null -> If True, Django will store empty values as NULL in the database. Default is False.

# Field.blank -> If True, the field is allowed to be blank. Default is False. Note that this is different than null. null is purely database-related, whereas blank is validation-related. If a field has blank=True, form validation will allow entry of an empty value. If a field has blank=False, the field will be required.


class ChangesetModel(models.Model):
    id = models.BigIntegerField(primary_key=True)
    user_id = models.BigIntegerField(blank=True, null=True)
    created_at = models.DateTimeField(blank=True, null=True)
    min_lat = models.DecimalField(max_digits=10, decimal_places=7, blank=True, null=True)
    max_lat = models.DecimalField(max_digits=10, decimal_places=7, blank=True, null=True)
    min_lon = models.DecimalField(max_digits=10, decimal_places=7, blank=True, null=True)
    max_lon = models.DecimalField(max_digits=10, decimal_places=7, blank=True, null=True)
    closed_at = models.DateTimeField(blank=True, null=True)
    open = models.BooleanField(blank=True, null=True)
    num_changes = models.PositiveIntegerField()
    user_name = models.CharField(max_length=255, blank=True, null=True)
    tags = HStoreField()
    geom = models.TextField(blank=True, null=True) # This field type is a guess.
    status = models.CharField(max_length=255)

    class Meta:
        db_table = 'osm_changeset'
        managed = False

class FilterModel(models.Model):
    name = models.CharField(max_length=100)
    user = models.CharField(null=True, max_length=100) # TODO: null=True with CharField is not recommended
    tags = HStoreField(blank=True, null=True)
    poly = models.PolygonField(blank=True, null=True)
    isRectangle = models.BooleanField(default=False)
    dateFrom = models.DateField(blank=True, null=True)
    dateTo = models.DateField(blank=True, null=True)
    changesetStatus = models.CharField(max_length=255, blank=True, null=True)
