#!/bin/bash 


POSTGRES_USER="hello_django"
POSTGRES_PASSWORD="hello_django"
DBNAME="osmhistory"
FILE_NAME="changesets.osm.bz2"
SEQUENCE=$(cat ../sequence)

# step I
psql -U $POSTGRES_USER -c "create database $DBNAME;"
psql -U $POSTGRES_USER -d $DBNAME -c "create extension hstore; create extension postgis;"

# step II
cd /app
python3 scripts/changesetmd.py -d $DBNAME -c -g -f $FILE_NAME -p $POSTGRES_PASSWORD -u $POSTGRES_USER
psql -U $POSTGRES_USER -d $DBNAME -c "update osm_changeset_state set last_sequence = $SEQUENCE;"

# step III
cd /app
cd /app/osm-postgresql-experiments;
mkdir build; cd build
cmake ..
make install

# step IV
cd /app
mv switzerland-internal.osh.pbf /app/osmhistorydb-ch/OSM_Objects/
cd /app/osmhistorydb-ch/OSM_Objects
pyosmium-get-changes -O switzerland-internal.osh.pbf -f sequence.state

# step V
cd /app/osmhistorydb-ch/OSM_Objects
ope -H switzerland-internal.osh.pbf nodes=n%I.v.d.c.t.i.T.Gp ways=w%I.v.d.c.t.i.T.N. relations=r%I.v.d.c.t.i.T.M. users=u%i.u.
psql -U $POSTGRES_USER -d $DBNAME -f users.sql
psql -U $POSTGRES_USER -d $DBNAME -f relations.sql
psql -U $POSTGRES_USER -d $DBNAME -f ways.sql
psql -U $POSTGRES_USER -d $DBNAME -f nodes.sql
psql -U $POSTGRES_USER -d $DBNAME -f db_setup.sql
python3 osm_pg_db_clipper.py -d $DBNAME -b osmhistorydb-ch/OSM_Objects/borders.geojson -f switzerland-internal.osh.pbf


# step VI
mkdir /var/cache/osmhistory-replication
