function tagsToString(str) {

    const regex1 = /\s+,\s+|,\s+|\s+,|\s+;\s+|;\s+|\s+;|,|;/g;
    const regex2 = /\s+=\s+|=\s+|\s+=|\s+:\s+|:\s+|\s+:|=|:/g;

    const obj = Object.fromEntries(new Map(str.split(regex1).map(tag => tag.split(regex2))));
    const json = JSON.stringify(obj);

    if(json === '{}') {
        return null;
    }
    return json;
}


function stringToTags(str) {
    return Object.entries(JSON.parse(str)).map(tag => tag.join('=')).join(', ');
}

export { tagsToString, stringToTags };
