import { defineStore } from 'pinia';

export const useChangesetStore = defineStore('changeset', {
  state: () => ({
    changesetId: null,
    min_lat: null,
    max_lat: null,
    min_lon: null,
    max_lon: null, 
    random: 0
  }),

  getters: {
    center (state) {
        return [Number(((state.min_lat + state.max_lat) / 2).toFixed(7)), Number(((state.min_lon + state.max_lon) / 2).toFixed(7))];
    }
  }
})
